EncryptionLevel (Apache Tomcat 8.5.85 API Documentation)

Package org.apache.tomcat.util.net.openssl.ciphers

## Enum EncryptionLevel

- java.lang.Object
- - java.lang.Enum<EncryptionLevel>
  - - org.apache.tomcat.util.net.openssl.ciphers.EncryptionLevel

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EncryptionLevel>`

      public enum EncryptionLevel
      extends java.lang.Enum<EncryptionLevel>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EXP40` |
    `EXP56` |
    `FIPS` |
    `HIGH` |
    `LOW` |
    `MEDIUM` |
    `STRONG_NONE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EncryptionLevel` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EncryptionLevel[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRONG_NONE

          public static final EncryptionLevel STRONG_NONE

    - #### EXP40

          public static final EncryptionLevel EXP40

    - #### EXP56

          public static final EncryptionLevel EXP56

    - #### LOW

          public static final EncryptionLevel LOW

    - #### MEDIUM

          public static final EncryptionLevel MEDIUM

    - #### HIGH

          public static final EncryptionLevel HIGH

    - #### FIPS

          public static final EncryptionLevel FIPS

  - ### Method Detail

    - #### values

          public static EncryptionLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EncryptionLevel c : EncryptionLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EncryptionLevel valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null